
    // Already tracked
    var _addIvwIframeTracked = Array();
    
    // Fuegt einen iFrame fuer das ivw-Zaehlpixel hinzu
    //
    var _addIvwIframe = function(data) {
      let wbId = 126927;
      let activeBoard = 0;
      
      if(data && data.activeBoard){
        activeBoard = data.activeBoard;
      }
      
      // Check already tracked
      if(_addIvwIframeTracked.find((i)=>{
        return (i.wbId == wbId && i.activeBoard == activeBoard);
      })){
        return;
      }
      
      // Add tracking code call
      var code = '<iframe class="ivw-iframe" src="/comic/countivw?id=' + wbId + '&ab=' + activeBoard + '" style="display:none;"></iframe>';
      $('.ivw-iframe').remove();
      $('body').append(code);

      // Add as tracked
      _addIvwIframeTracked.push({
        wbId: wbId,
        activeBoard: activeBoard
      });
    }

    // Call first load
    $(document).ready(function(){
      _addIvwIframe();
    } );
    
    // Override setActiveBoard Function Call For Tracking
    //
    var setActiveBoardOrig = setActiveBoard;
    setActiveBoard = function(activeBoard) {
        if(0 < activeBoard){
            let data = {activeBoard: activeBoard}; 
            _addIvwIframe(data);
        }
        return setActiveBoardOrig(activeBoard);
    }
    

create("Deutsche Bundesländer", 3.0);

// Home Tafel
var home = setHome(new Board("spaltenweise"));
home.setTitle(`Startseite`);
home.setInfo(`Startseiten Info: startseite startseite mit info

`);

// Tafel Code Start

var home_titelBox = home.addBox(1608, 958, false);
var home_deKarteBild = new BackgroundImage(100, 0, 1608 * 0.9, 958 * 0.9, "src/img/Tafelbild-Titel_Bundeslaender.png");
home_titelBox.addObject(home_deKarteBild);


// Tafel Code End


// 1. Tafel
var blh = addBoard(new Board("spaltenweise"));
blh.setTitle(`Die Bundesländer und ihre Hauptstädte`);
blh.setInfo(`Zum Einstieg schauen sich die Schülerinnen und Schüler die Deutschlandkarte mit den einzelnen Bundesländern an und äußern sich frei. Die Lehrkraft kann das Gespräch gezielt durch Fragen steuern.<br><br><u>Mögliche Arbeitsaufträge:</u><em><ul>    <li>Benenne die 16 Bundesländer Deutschlands.</li>    <li>Ordne die Bundesländer nach ihrer Größe: Welches ist das größte, welches das kleinste?</li>    <li>Bestimmt die Lage eures Heimatbundeslandes auf der Karte.  </li>    <li>Nenne die auf der Karte abgebildeten Bundesländer.</li>    <li>Nenne die Landeshauptstädte der abgebildeten Bundesländer.</li></ul></em> <br><br>Anschließend werden zur Überprüfung nacheinander die Ländernamen und die Namen der Landeshauptstädte eingeblendet.<br> <br> <u>Differenzierung</u>: In Abhängigkeit des Leistungsniveaus der Lernenden und der zur Verfügung stehenden Zeit kann seitens der Lehrkraft kurz darauf eingegangen werden, dass Deutschland nach dem Föderalstaatsprinzip aufgebaut ist. Zur Unterstützung kann dabei der Lexikoneintrag <a href='#'>Bundesländer/Föderalismus</a> genutzt werden. Im Sachkundeunterricht kann das Whiteboard zudem dazu dienen, räumliche Vergleiche bereits auf einfachem Niveau durchzuführen (Größe, Lage, angrenzende Gebiete, Nähe zum Meer, Unterschied „neue“ und „alte“ <a title='' href='/wissen/lexikon/grosses-lexikon/b/bundeslaender.html' class='hanisauland-lexikon' target='_blank'>Bundesländer</a>. <br style='clear:both' />Die Folien 2-5 eignen sich neben dem Einsatz zur Überprüfung des Gelernten innerhalb der Stunde auch für andere Phasen innerhalb der Stunde/Reihe: Sie können als alternativer Einstieg ins Thema dienen; als Wiedereinstieg, um die abgebildeten Lerninhalte bei den Schülerinnen und Schülern zu reaktiveren oder als gamifizierte Ansatz für Sicherungsphasen.<br style='clear:both' /> Das Whiteboard kann ebenso für die Einführung bzw. Vertiefung verschiedener Arbeitsmethoden herangezogen werden: Schülerinnen und Schüler können sich in Partnerarbeit (oder peer-teaching), Expertengruppen, Gruppenpuzzeln oder als Gegenspieler zunächst die Lerninhalte erarbeiten und dann im Wettstreit miteinander das Gelernte reproduzieren.

`);

// Tafel Code Start

var blh_laenderNamenButtonAnTitel = 'Ländernamen einblenden';
var blh_laenderNamenButtonAusTitel = 'Ländernamen ausblenden';
var blh_staedteNamenButtonAnTitel = 'Städtenamen einblenden';
var blh_staedteNamenButtonAusTitel = 'Städtenamen ausblenden';
var blh_deBildWidth = 971; /* /1.6 */
var blh_deBildHeight = 1360;
/* var blh_karteBox = blh.addBox(blh_deBildWidth + 250, blh_deBildHeight + 100, true); */
var blh_karteBox = blh.addBox(1200, 1360, true);
var blh_deBild = new BackgroundImage(175, 0, blh_deBildWidth, blh_deBildHeight, "src/img/113892.png");
blh_karteBox.addObject(blh_deBild); /*  250, 100, 1200, 1360, */
var blh_laenderNamenTE = new ToggleElement(175, 0, blh_deBildWidth, blh_deBildHeight, "src/img/113893.png", blh_karteBox, 20, 50, 400, 32, blh_laenderNamenButtonAnTitel, blh_laenderNamenButtonAusTitel, "rgb(255, 161, 77)", blh_karteBox);
blh_karteBox.addObject(blh_laenderNamenTE);
var blh_staedteNamenTE = new ToggleElement(175, 0, blh_deBildWidth, blh_deBildHeight, "src/img/113894.png", blh_karteBox, 20, 100, 400, 32, blh_staedteNamenButtonAnTitel, blh_staedteNamenButtonAusTitel, "rgb(255, 211, 100)", blh_karteBox);
blh_karteBox.addObject(blh_staedteNamenTE);
var blh_platzhalterBox = blh.addBox(750, 1360, true);


// Tafel Code End


// 2. Tafel
var w16 = addBoard(new Board("spaltenweise"));
w16.setTitle(`Die 16 Wappen`);
w16.setInfo(`Die Schülerinnen und Schüler schauen sich die 16 Wappen der 16 Bundesländer an. In einem ersten Schritt suchen sie das Wappen ihres Heimatbundeslandes und beschreiben, was sie auf dem Wappen sehen. Danach überlegen sie gemeinsam, wo sie das Wappen ihres Heimatbundeslandes in ihrem Alltag schon überall entdeckt haben. Anschließend raten die Schüler gemeinsam, welches Bundesland sich hinter welchem Wappen verbirgt und begründen ihre Entscheidung. Die Richtigkeit wird durch das Anklicken des entsprechenden Wappens gemeinsam überprüft. <br><u>Differenzierung</u>: In Abhängigkeit des Leistungsniveaus der Lernenden und der zur Verfügung stehenden Zeit kann seitens der Lehrkraft an dieser Stelle eine Gruppenarbeit eingeführt werden. Hier können die Schülerinnen und Schüler ein Wappen ihrer Wahl näher untersuchen (Symbolik, historischer Entstehungsprozess) oder aber einen Steckbrief zu jeweils einem Bundesland erstellen. Zur Unterstützung kann dabei der Lexikoneintrag <a href='#'>Bundesländer/ Föderalismus</a> genutzt werden.

`);

// Tafel Code Start

var w16_bw = "<br><br>Baden-<br>Württemberg";
var w16_by = "<br><br>Bayern";
var w16_be = "<br><br>Berlin";
var w16_bb = "<br><br>Brandenburg";
var w16_hb = "<br><br>Bremen";
var w16_hh = "<br><br>Hamburg";
var w16_he = "<br><br>Hessen";
var w16_mv = "<br><br>Mecklenburg-<br>Vorpommern";
var w16_ni = "<br><br>Niedersachsen";
var w16_nw = "<br><br>Nordrhein-<br>Westfalen";
var w16_rp = "<br><br>Rheinland-<br>Pfalz";
var w16_sl = "<br><br>Saarland";
var w16_st = "<br><br>Sachsen-Anhalt";
var w16_sn = "<br><br>Sachsen";
var w16_sh = "<br><br>Schleswig-<br>Holstein";
var w16_th = "<br><br>Thüringen";
//var w16_box = w16.addBox(2000, 1000, true);
var w16_box = w16.addBox(900, 1000, true);
var w16_placeholderbox = w16.addBox(500, 900, true);
var w16_card1 = new Card(0,100,200,200,'src/img/114021.png', w16_bw);
w16_card1.setMaxFontSize(33);
var w16_card2 = new Card(0,300,200,200,'src/img/114022.png', w16_by);
w16_card2.setMaxFontSize(33);
var w16_card3 = new Card(0,500,200,200,'src/img/114023.png', w16_be);
w16_card3.setMaxFontSize(33);
var w16_card4 = new Card(0,700,200,200,'src/img/114024.png', w16_bb);
w16_card4.setMaxFontSize(33);
var w16_card5 = new Card(200,100,200,200,'src/img/114025.png', w16_hb);
w16_card5.setMaxFontSize(33);
var w16_card6 = new Card(200,300,200,200,'src/img/114026.png', w16_hh);
w16_card6.setMaxFontSize(33);
var w16_card7 = new Card(200,500,200,200,'src/img/114027.png', w16_he);
w16_card7.setMaxFontSize(33);
var w16_card8 = new Card(200,700,200,200,'src/img/114028.png', w16_mv);
w16_card8.setMaxFontSize(33);
var w16_card9 = new Card(400,100,200,200,'src/img/114029.png', w16_ni);
w16_card9.setMaxFontSize(33);
var w16_card10 = new Card(400,300,200,200,'src/img/114030.png', w16_nw);
w16_card10.setMaxFontSize(33);
var w16_card11 = new Card(400,500,200,200,'src/img/114031.png', w16_rp);
w16_card11.setMaxFontSize(33);
var w16_card12 = new Card(400,700,200,200,'src/img/114032.png', w16_sl);
w16_card12.setMaxFontSize(33);
var w16_card13 = new Card(600,100,200,200,'src/img/114034.png', w16_st);
w16_card13.setMaxFontSize(33);
var w16_card14 = new Card(600,300,200,200,'src/img/114033.png', w16_sn);
w16_card14.setMaxFontSize(33);
var w16_card15 = new Card(600,500,200,200,'src/img/114035.png', w16_sh);
w16_card15.setMaxFontSize(33);
var w16_card16 = new Card(600,700,200,200,'src/img/114036.png', w16_th);
w16_card16.setMaxFontSize(33);
w16_box.addObject(w16_card1);
w16_card1.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card2);
w16_card2.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card3);
w16_card3.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card4);
w16_card4.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card5);
w16_card5.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card6);
w16_card6.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card7);
w16_card7.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card8);
w16_card8.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card9);
w16_card9.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card10);
w16_card10.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card11);
w16_card11.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card12);
w16_card12.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card13);
w16_card13.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card14);
w16_card14.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card15);
w16_card15.setBackgroundColor("rgba(255,255,255,0.7)");
w16_box.addObject(w16_card16);
w16_card16.setBackgroundColor("rgba(255,255,255,0.7)");


// Tafel Code End


// 3. Tafel
var pzl = addBoard(new Board("spaltenweise"));
pzl.setTitle(`Das Bundesländerpuzzle`);
pzl.setInfo(`Die Schülerinnen und Schüler erarbeiten sich den geografischen Aufbau der Bundesrepublik. Dafür puzzeln sie die Grundrisse der Bundesländer auf einer Karte passend zusammen. Dabei lernen sie auch die Nachbarbundesländer der einzelnen Bundesländer kennen. Abschließend überprüfen sie, welche Nachbarbundesländer ihr Heimatbundesland hat. <br> <br> <u>Zusatzaufgabe:</u> Anhand der zusammengepuzzelten Karte prüfen sie, welches Bundesland die meisten benachbarten Bundesländer hat. <br> <br><u><em>Lösung:</u> Niedersachsen </em><br>

`);

// Tafel Code Start

var pzl_deKarteBox = pzl.addBox(455, 592, true);
var pzl_blKartenBox = pzl.addBox(500, 592, true);
var pzl_puzzle = new Puzzle("puzzle_test");
var pzl_scale = 2;
pzl_puzzle.addPiece("src/img/114037.png", 305 / pzl_scale, 323 / pzl_scale, pzl_blKartenBox, 120, 130,  pzl_deKarteBox, 53, 389); //Baden-Württemberg
pzl_puzzle.addPiece("src/img/114038.png", 442 / pzl_scale, 478 / pzl_scale, pzl_blKartenBox, 280, 320, pzl_deKarteBox, 146, 335); //Bayern
pzl_puzzle.addPiece("src/img/114040.png", 292 / pzl_scale, 314 / pzl_scale, pzl_blKartenBox, 0, 392, pzl_deKarteBox, 273, 135); //Brandenburg
pzl_puzzle.addPiece("src/img/114043.png", 237 / pzl_scale, 319 / pzl_scale, pzl_blKartenBox, 190, 390, pzl_deKarteBox, 91, 252); //Hessen
pzl_puzzle.addPiece("src/img/114044.png", 325 / pzl_scale, 223 / pzl_scale, pzl_blKartenBox, 320, 0,  pzl_deKarteBox, 246, 49); //Mecklemburg-Vorpommern
pzl_puzzle.addPiece("src/img/114045.png", 431 / pzl_scale, 386 / pzl_scale, pzl_blKartenBox, 280, 110, pzl_deKarteBox, 69/*left*/, 87/*top*/); //Niedersachsen
pzl_puzzle.addPiece("src/img/114046.png", 340 / pzl_scale, 297 / pzl_scale, pzl_blKartenBox, 120, 0,  pzl_deKarteBox, 12, 186); //Nordrhein-Westfalen
pzl_puzzle.addPiece("src/img/114047.png", 216 / pzl_scale, 291 / pzl_scale, pzl_blKartenBox, 0, 230, pzl_deKarteBox, 14, 296); //Rheinland-Pfalz
pzl_puzzle.addPiece("src/img/114048.png", 105 / pzl_scale, 83 / pzl_scale, pzl_blKartenBox, 430, 320,  pzl_deKarteBox, 17, 382); //Saarland
pzl_puzzle.addPiece("src/img/114049.png", 294 / pzl_scale, 213 / pzl_scale, pzl_blKartenBox, 240, 240,  pzl_deKarteBox, 282, 263); //Sachsen
pzl_puzzle.addPiece("src/img/114050.png", 233 / pzl_scale, 303 / pzl_scale, pzl_blKartenBox, 130, 290, pzl_deKarteBox, 233, 164); //Sachsen-Anhalt
pzl_puzzle.addPiece("src/img/114051.png", 246 / pzl_scale, 260 / pzl_scale, pzl_blKartenBox, 0, 0,  pzl_deKarteBox, 157, 5); //Schleswig-Holstein
pzl_puzzle.addPiece("src/img/114052.png", 254 / pzl_scale, 204 / pzl_scale, pzl_blKartenBox, 0, 120, pzl_deKarteBox, 191, 258); //Thüringen
pzl_puzzle.addPiece("src/img/114039.png", 98 / pzl_scale, 54 / pzl_scale, pzl_blKartenBox, 80, 0, pzl_deKarteBox, 344.5, 191); //Berlin
pzl_puzzle.addPiece("src/img/114041.png", 111 / pzl_scale, 46 / pzl_scale, pzl_blKartenBox, 0, 500,  pzl_deKarteBox, 151, 133); //Bremen
pzl_puzzle.addPiece("src/img/114042.png", 121 / pzl_scale, 57 / pzl_scale, pzl_blKartenBox, 0, 350, pzl_deKarteBox, 205, 105); //Hamburg
pzl_puzzle.addBackgroundImage("src/img/114139.png", 0, 0, 903 / pzl_scale, 1181 / pzl_scale, pzl_deKarteBox);
pzl_blKartenBox.addObject(pzl_puzzle);


// Tafel Code End


// 4. Tafel
var zdb = addBoard(new Board("spaltenweise"));
zdb.setTitle(`Zuordnung der Bundesländer`);
zdb.setInfo(`Aufbauend auf den vorangegangenen Folien ordnen die Schülerinnen und Schüler selbständig per Drag and Drop die Namen der Bundesländer den passenden Bundesländern zu. <br>

`);

// Tafel Code Start

var zdb_bw = "Baden-Württemberg";
var zdb_by = "Bayern";
var zdb_be = "Berlin";
var zdb_bb = "Brandenburg";
var zdb_hb = "Bremen";
var zdb_hh = "Hamburg";
var zdb_he = "Hessen";
var zdb_mv = "Mecklenburg-Vorpommern";
var zdb_ni = "Niedersachsen";
var zdb_nw = "Nordrhein-Westfalen";
var zdb_rp = "Rheinland-Pfalz";
var zdb_sl = "Saarland";
var zdb_st = "Sachsen-Anhalt";
var zdb_sn = "Sachsen";
var zdb_sh = "Schleswig-Holstein";
var zdb_th = "Thüringen";
//var zdb_deBildBox = zdb.addBox(500, 900, true);
//var zdb_kartenBox = zdb.addBox(700, 900, true);
var zdb_deBildBox = zdb.addBox(971, 1360, true);
var zdb_kartenBox = zdb.addBox(750, 1360, true);
var zdb_assignment = new Assignment("assignment", 60,true);
// old
//zdb_assignment.addPiece(zdb_mv, 380, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 200, zdb_deBildBox, 572, 266, [[607,338], [597,325], [583,318], [573,295], [559,301], [548,292], [554,277], [582,265], [581,241], [562,230], [568,223], [579,218], [589,207], [583,199], [607,189], [615,201], [635,211], [654,177], [661,171], [723,156], [738,127], [774,126], [770,148], [788,136], [797,160], [811,100], [831,100], [836,121], [855,123], [846,142], [854,155], [846,177], [829,178], [828,191], [851,183], [856,189], [864,194], [899,223], [884,254], [911,275], [908,330], [890,336], [881,329], [897,308], [860,307], [857,297], [832,308], [828,325], [804,329], [792,327], [767,353], [682,308], [627,327], [611,345]]);
// new
zdb_assignment.addPiece(
    zdb_bb,
    250, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox,
    0, 150,
    zdb_deBildBox, 744, 503,
    [
        [612,347], [624,328], [680,309], [767,354], [791,327], [803,331], [829,325], [830,309],
        [856,298], [857,308], [895,310], [878,330], [888,338], [908,332], [894,390], [883,397],
        [893,414], [926,447], [921,498], [935,509], [928,564], [919,576], [935,613], [893,625],
        [882,618], [859,631], [864,641], [810,644], [786,629], [770,633], [760,592], [773,585],
        [742,538], [718,539], [717,529], [695,528], [677,495], [691,453], [672,441], [696,390],
        [647,377], [650,367]
    ]
);
zdb_assignment.addPiece(
    zdb_be,
    130, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, // breite, hoehe, fontSize, hintergrundfarbe, ursprungsbox
    520, 150, // startX, startY
    zdb_deBildBox, 760, 433, // zielBox, zielX, zielY
    [
        [778, 433], [778, 447], [769, 455], [772, 468], [782, 478], [796, 470], [819, 485],
        [833, 479], [837, 458], [825, 454], [827, 435], [817, 425], [802, 432], [795, 422]
    ]
);
zdb_assignment.addPiece(zdb_mv, 500, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 250, zdb_deBildBox, 572, 266, [[607,338], [597,325], [583,318], [573,295], [559,301], [548,292], [554,277], [582,265], [581,241], [562,230], [568,223], [579,218], [589,207], [583,199], [607,189], [615,201], [635,211], [654,177], [661,171], [723,156], [738,127], [774,126], [770,148], [788,136], [797,160], [811,100], [831,100], [836,121], [855,123], [846,142], [854,155], [846,177], [829,178], [828,191], [851,183], [856,189], [864,194], [899,223], [884,254], [911,275], [908,330], [890,336], [881,329], [897,308], [860,307], [857,297], [832,308], [828,325], [804,329], [792,327], [767,353], [682,308], [627,327], [611,345]]);
zdb_assignment.addPiece(zdb_sn, 170, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 520, 250, zdb_deBildBox, 734, 671, [[653,807], [643,804], [638,788], [629,787], [641,766], [668,745], [664,729], [707,712], [705,692], [671,672], [675,641], [667,625], [680,598], [696,603], [737,583], [760,596], [770,634], [787,630], [811,644], [866,641], [860,632], [883,618], [895,626], [930,616], [937,629], [951,627], [955,664], [955,690], [934,739], [913,726], [924,713], [911,717], [907,701], [878,696], [877,712], [891,723], [849,744], [838,734], [823,759], [794,748], [796,773], [769,773], [756,788], [730,796], [699,806], [684,804], [661,831], [653,830], [647,823]]);
zdb_assignment.addPiece(zdb_st, 300, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 350, zdb_deBildBox, 531, 539, [[520,518], [571,503], [564,437], [572,425], [550,395], [564,375], [582,372], [619,378], [635,360], [649,368], [646,379], [696,390], [670,442], [691,453], [676,494], [695,531], [717,530], [717,541], [742,538], [773,585], [759,593], [738,582], [695,602], [679,597], [665,625], [674,641], [668,676], [677,678], [667,699], [587,658], [592,625], [542,590], [545,578], [529,572], [519,554], [527,537]]);
zdb_assignment.addPiece(zdb_th, 200, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 520, 350, zdb_deBildBox, 474, 682, [[443,744], [425,727], [442,687], [465,668], [465,632], [442,610], [496,578], [520,583], [530,573], [545,579], [542,592], [591,627], [587,657], [667,699], [678,678], [704,694], [705,711], [682,723], [662,729], [667,745], [648,760], [640,767], [626,787], [596,786], [589,762], [570,767], [566,800], [555,801], [544,780], [516,781], [515,795], [501,798], [463,762], [454,745]]);
zdb_assignment.addPiece(zdb_nw, 370, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 450, zdb_deBildBox, 90, 535, [[231,408], [197,430], [152,437], [130,458], [132,481], [85,484], [53,478], [64,563], [18,611], [56,733], [87,741], [112,714], [221,659], [241,701], [319,619], [300,606], [361,578], [371,590], [404,525], [360,448], [382,427], [367,416], [355,430], [334,425], [334,412], [306,425], [315,464], [258,474], [263,423]]);
zdb_assignment.addPiece(zdb_by, 160, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 520, 450, zdb_deBildBox, 521, 990, [[354,886], [328,895], [331,807], [344,798], [364,813], [445,746], [454,747], [462,764], [501,799], [516,795], [517,782], [543,783], [554,802], [567,800], [570,768], [587,765], [595,788], [638,789], [643,805], [653,808], [646,822], [686,864], [676,903], [703,969], [727,969], [761,1008], [778,1037], [806,1052], [816,1086], [792,1112], [769,1105], [756,1150], [695,1174], [725,1221], [716,1271], [701,1272], [681,1238], [665,1248], [631,1230], [598,1254], [564,1246], [509,1277], [443,1237], [424,1271], [400,1280], [368,1234], [345,1231], [343,1229], [372,1210], [400,1216], [405,1120], [392,1103], [435,1072], [430,1054], [451,1047], [449,997], [424,969], [431,916], [398,909], [404,875], [360,864]]);
zdb_assignment.addPiece(zdb_sh, 360, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 550, zdb_deBildBox, 407, 132, [[453,242], [423,188], [397,186], [387,165], [390,128], [377,106], [403,88], [384,61], [377,24], [344,46], [358,3], [363,3], [367,22], [421,22], [440,35], [450,41], [473,31], [492,52], [509,62], [467,88], [478,95], [507,76], [512,89], [491,104], [505,108], [520,104], [526,115], [514,123], [535,113], [547,116], [567,134], [597,125], [605,101], [623,102], [624,129], [607,133], [601,169], [575,186], [574,205], [586,206], [577,218], [566,222], [561,231], [581,244], [578,265], [554,277], [546,293], [527,282], [521,254], [519,234], [498,225], [475,237], [466,233]]);
zdb_assignment.addPiece(zdb_he, 160, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 520, 550, zdb_deBildBox, 287, 680, [[265,901], [247,870], [259,868], [242,807], [207,812], [199,791], [234,769], [224,739], [228,726], [246,727], [243,702], [320,618], [302,606], [361,579], [372,592], [388,558], [401,556], [417,570], [404,606], [419,620], [434,603], [464,635], [464,668], [441,688], [424,727], [443,747], [362,811], [344,797], [330,806], [325,894], [302,913], [288,909], [286,879], [269,884]]);
zdb_assignment.addPiece(zdb_rp, 300, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 650, zdb_deBildBox, 29, 744, [[53,734], [88,742], [113,714], [221,660], [241,703], [244,726], [228,725], [223,738], [233,770], [197,790], [205,813], [242,809], [257,868], [246,870], [264,901], [258,934], [213,984], [137,933], [148,905], [131,861], [41,856], [55,816], [23,775], [32,747]]);
zdb_assignment.addPiece(zdb_hb, 170, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 520, 650, zdb_deBildBox, 338, 296, [[338,288], [341,299], [333,310], [347,334], [385,338], [384,317], [394,303], [376,298]]);
zdb_assignment.addPiece(zdb_ni, 290, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 750,  zdb_deBildBox, 242, 356, [[440,608], [434,602], [420,619], [406,606], [418,568], [401,555], [389,557], [406,524], [361,450], [383,427], [368,415], [355,429], [335,424], [334,411], [303,425], [314,463], [260,473], [263,421], [231,406], [197,430], [169,431], [173,398], [148,387], [151,363], [188,365], [187,332], [208,312], [213,254], [199,248], [222,203], [298,212], [310,257], [325,228], [352,243], [345,200], [371,184], [397,203], [419,199], [461,256], [455,267], [475,293], [497,284], [515,289], [526,283], [550,294], [562,303], [572,298], [583,319], [598,327], [613,350], [635,360], [618,377], [581,371], [563,374], [549,395], [570,425], [563,438], [567,455], [565,468], [570,503], [519,517], [525,538], [518,554], [528,573], [519,582], [494,575]]);
zdb_assignment.addPiece(zdb_sl, 190, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 520, 750, zdb_deBildBox, 58, 868, [[38,857], [131,862], [148,906], [127,945], [90,944], [43,902], [27,876]]);
zdb_assignment.addPiece(zdb_bw, 370, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 0, 850, zdb_deBildBox, 142, 1095, [[328,895], [302,915], [287,910], [285,880], [270,884], [259,936], [162,1039], [125,1123], [111,1196], [141,1220], [217,1215], [231,1192], [273,1206], [305,1200], [342,1228], [369,1209], [395,1213], [405,1121], [391,1103], [432,1073], [429,1053], [448,1047], [448,998], [423,969], [429,917], [396,909], [402,878], [360,865], [356,887]]);
zdb_assignment.addPiece(zdb_hh, 190, 50, 40, "rgb(50, 197, 249)", zdb_kartenBox, 520, 850, zdb_deBildBox, 458, 242, [[462,255], [457,244], [468,234], [475,239], [498,225], [519,236], [519,253], [526,281], [511,288], [496,282], [474,292], [456,267]]);
zdb_assignment.addBackgroundImage("src/img/113892.png", 0, 0, 971, 1360, zdb_deBildBox);
//zdb_assignment.addBackgroundImage("src/img/113892.png", 0, 150, 971 / 2, 1360 / 2, zdb_deBildBox);
zdb_kartenBox.addObject(zdb_assignment);


// Tafel Code End


// 5. Tafel
var zdh = addBoard(new Board("spaltenweise"));
zdh.setTitle(`Zuordnung der Hauptstädte`);
zdh.setInfo(`Im weiteren Verlauf der Einheit ordnen die Schülerinnen und Schüler selbständig per Drag and Drop die Namen der Landeshauptstädte dem jeweiligen Bundesland zu und überprüfen ihre Antworten. <br>

`);

// Tafel Code Start

var zdh_be = "Berlin";
var zdh_sc = "Schwerin";
var zdh_er = "Erfurt";
var zdh_mu = "München";
var zdh_ki = "Kiel";
var zdh_hb = "Bremen";
var zdh_hh = "Hamburg";
var zdh_ha = "Hannover";
var zdh_po = "Potsdam";
var zdh_mb = "Magdeburg";
var zdh_dr = "Dresden";
var zdh_du = "Düsseldorf";
var zdh_wi = "Wiesbaden";
var zdh_ma = "Mainz";
var zdh_sa = "Saarbrücken";
var zdh_st = "Stuttgart";
var zdh_deKarteBox = zdh.addBox(971, 1360, true);
var zdh_staedteBox = zdh.addBox(750, 1360, true);
var zdh_assignment = new Assignment("assignment", 40);
zdh_assignment.addPiece(zdh_be, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 150, zdh_deKarteBox, 808, 455, [[783,473], [769,457], [776,443], [786,428], [798,425], [805,430], [816,427], [828,435], [827,452], [837,463], [833,475], [814,478], [797,470]]);
zdh_assignment.addPiece(zdh_sc, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 220, zdh_deKarteBox, 644, 243, [[547,288], [552,275], [565,265], [575,261], [580,244], [564,229], [567,217], [581,215], [584,194], [605,187], [615,204], [635,209], [645,180], [691,169], [733,127], [766,128], [823,98], [897,223], [909,305], [901,330], [883,328], [895,307], [866,304], [857,294], [829,307], [824,318], [805,325], [768,346], [739,328], [725,330], [718,321], [684,305], [673,314], [660,312], [652,320], [643,317], [627,323], [627,336], [615,338], [605,341], [594,322], [582,316], [569,296], [558,300]]);
zdh_assignment.addPiece(zdh_er, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 290, zdh_deKarteBox, 532, 687, [[495,794], [490,784], [480,767], [469,758], [460,758], [454,744], [444,742], [438,729], [427,728], [428,715], [433,702], [446,701], [445,686], [466,663], [458,650], [465,635], [447,623], [445,609], [463,605], [472,596], [485,592], [494,579], [505,580], [510,587], [524,583], [530,575], [543,580], [541,589], [548,598], [550,610], [562,617], [590,626], [592,639], [585,647], [590,658], [597,664], [617,670], [623,680], [638,680], [644,692], [663,700], [674,697], [671,685], [679,679], [692,689], [704,692], [706,708], [694,710], [685,720], [671,720], [662,729], [667,744], [651,751], [647,762], [637,763], [627,784], [608,786], [595,782], [598,772], [586,760], [568,768], [565,786], [560,795], [551,793], [541,778], [523,778], [514,786], [516,795]]);
zdh_assignment.addPiece(zdh_mu, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 360, zdh_deKarteBox, 576, 1123, [[341,1227], [350,1225], [357,1218], [363,1212], [372,1210], [386,1211], [396,1213], [394,1196], [404,1185], [404,1168], [403,1157], [404,1125], [393,1106], [406,1087], [418,1088], [430,1072], [426,1052], [445,1049], [454,1028], [446,1015], [449,1001], [437,986], [424,973], [429,960], [419,948], [432,920], [423,912], [413,917], [398,908], [403,895], [401,879], [392,877], [382,880], [385,866], [366,862], [357,866], [364,876], [354,884], [344,884], [335,896], [323,893], [323,879], [332,868], [323,844], [332,824], [328,803], [345,794], [362,806], [380,802], [381,790], [398,782], [402,766], [423,760], [437,752], [441,744], [453,744], [460,759], [476,762], [486,782], [494,796], [514,795], [515,787], [521,780], [539,780], [549,790], [549,798], [562,800], [567,785], [567,767], [584,762], [595,774], [591,782], [604,788], [627,786], [636,785], [641,800], [652,805], [649,812], [645,817], [656,833], [674,847], [687,861], [676,901], [686,911], [701,947], [699,965], [726,968], [745,997], [758,1004], [775,1033], [789,1037], [794,1048], [806,1051], [816,1079], [808,1097], [796,1104], [781,1099], [770,1103], [767,1123], [755,1138], [731,1142], [725,1151], [711,1155], [691,1173], [700,1183], [702,1195], [712,1200], [721,1216], [709,1229], [712,1236], [723,1235], [725,1248], [715,1258], [715,1267], [702,1270], [691,1257], [695,1246], [683,1239], [670,1245], [655,1243], [648,1234], [637,1227], [620,1232], [603,1249], [581,1242], [561,1246], [547,1257], [529,1262], [512,1272], [492,1264], [482,1249], [462,1246], [444,1235], [432,1246], [435,1260], [421,1272], [403,1278], [395,1265], [396,1250], [380,1246], [378,1233], [361,1228], [348,1234]]);
zdh_assignment.addPiece(zdh_ki, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 430, zdh_deKarteBox, 504, 136, [[547, 288], [535, 290], [527, 281], [517, 252], [520, 234], [500, 223], [482, 229], [473, 237], [466, 234], [459, 239], [450, 232], [448, 220], [440, 214], [438, 203], [422, 185], [404, 186], [392, 179], [390, 166], [380, 151], [369, 122], [381, 100], [374, 75], [349, 65], [344, 35], [362, 1], [387, 15], [425, 24], [467, 32], [502, 52], [517, 105], [548, 113], [559, 130], [592, 124], [606, 102], [620, 100], [619, 130], [606, 136], [603, 158], [576, 191], [582, 206], [581, 213], [569, 213], [562, 230], [578, 244], [574, 259], [554, 274]]);
zdh_assignment.addPiece(zdh_hb, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 500, zdh_deKarteBox, 366, 309, [[333, 308], [340, 297], [339, 288], [346, 290], [356, 292], [369, 291], [379, 296], [389, 304], [385, 314], [381, 334], [366, 336], [350, 333], [345, 320]]);
zdh_assignment.addPiece(zdh_hh, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 570, zdh_deKarteBox, 489, 257, [[473, 288], [463, 274], [456, 267], [459, 250], [460, 241], [466, 235], [471, 240], [482, 231], [500, 224], [518, 234], [516, 252], [525, 280], [510, 286], [493, 281]]);
zdh_assignment.addPiece(zdh_ha, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 50, 640,  zdh_deKarteBox, 452, 438, [[365, 416], [353, 428], [337, 424], [332, 411], [303, 425], [313, 447], [306, 463], [284, 464], [273, 474], [259, 470], [262, 458], [254, 448], [261, 439], [263, 424], [247, 414], [241, 404], [229, 406], [220, 416], [198, 428], [185, 427], [172, 427], [179, 408], [169, 397], [151, 383], [152, 374], [152, 362], [176, 364], [187, 358], [189, 332], [209, 313], [208, 283], [216, 268], [220, 257], [203, 248], [205, 231], [215, 227], [217, 213], [234, 206], [253, 211], [297, 210], [308, 237], [303, 249], [314, 256], [321, 242], [323, 227], [348, 243], [357, 230], [345, 213], [352, 193], [369, 184], [381, 199], [398, 201], [413, 198], [449, 249], [458, 252], [456, 270], [474, 287], [495, 284], [510, 288], [526, 282], [535, 291], [548, 290], [560, 302], [569, 298], [578, 316], [592, 326], [605, 345], [616, 352], [629, 356], [621, 361], [617, 373], [604, 376], [590, 368], [563, 370], [556, 380], [547, 391], [570, 425], [559, 436], [567, 454], [559, 463], [568, 483], [562, 500], [519, 514], [523, 534], [516, 558], [524, 571], [511, 583], [494, 575], [484, 587], [471, 592], [463, 601], [444, 606], [434, 604], [423, 605], [417, 614], [406, 604], [415, 591], [411, 580], [415, 566], [403, 557], [390, 557], [395, 547], [402, 523], [391, 517], [390, 505], [377, 497], [379, 484], [366, 470], [372, 461], [363, 453], [375, 439], [380, 423], [384, 336], [392, 303], [381, 297], [365, 291], [358, 291], [349, 289], [340, 287], [340, 297], [333, 306], [335, 313], [341, 321], [348, 330], [352, 334], [364, 336], [385, 337], [380, 433]]);
zdh_assignment.addPiece(zdh_po, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 150, zdh_deKarteBox, 742, 496, [[884, 611], [862, 641], [849, 645], [832, 640], [811, 643], [800, 631], [785, 628], [781, 634], [772, 632], [767, 606], [761, 597], [775, 588], [771, 562], [759, 559], [746, 538], [721, 538], [718, 525], [703, 528], [685, 512], [679, 499], [690, 483], [691, 455], [680, 450], [677, 440], [686, 432], [686, 404], [697, 394], [686, 384], [675, 388], [652, 377], [653, 365], [635, 357], [625, 351], [611, 345], [618, 340], [628, 340], [631, 333], [627, 326], [642, 321], [652, 324], [659, 316], [674, 318], [684, 309], [713, 321], [723, 334], [737, 332], [769, 352], [780, 339], [789, 328], [804, 330], [816, 326], [826, 324], [831, 310], [842, 306], [857, 300], [863, 308], [890, 310], [881, 327], [885, 334], [898, 336], [905, 331], [908, 338], [904, 347], [903, 361], [897, 373], [894, 385], [883, 404], [901, 420], [908, 436], [921, 438], [925, 451], [917, 457], [922, 469], [913, 475], [918, 497], [929, 506], [927, 527], [933, 538], [929, 555], [919, 577], [927, 595], [932, 606], [923, 618], [912, 615], [898, 620], [861, 626], [781, 475], [792, 472], [813, 479], [834, 477], [837, 460], [830, 453], [832, 437], [819, 427], [784, 425], [767, 456]]);
zdh_assignment.addPiece(zdh_mb, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 220, zdh_deKarteBox, 584, 526, [[675, 677], [670, 685], [670, 695], [662, 698], [644, 691], [637, 677], [621, 677], [616, 667], [598, 664], [595, 656], [588, 655], [586, 648], [593, 640], [590, 624], [549, 608], [549, 594], [539, 589], [545, 578], [528, 570], [517, 558], [526, 534], [521, 518], [545, 509], [567, 505], [571, 482], [563, 466], [571, 456], [561, 437], [572, 426], [560, 407], [549, 392], [558, 383], [564, 373], [584, 370], [600, 379], [618, 379], [624, 365], [635, 362], [650, 367], [651, 378], [674, 391], [686, 388], [693, 394], [686, 403], [685, 428], [676, 439], [677, 451], [690, 457], [688, 481], [678, 499], [685, 517], [700, 534], [717, 529], [720, 540], [742, 536], [755, 551], [758, 560], [771, 564], [772, 585], [762, 592], [749, 586], [737, 579], [715, 590], [701, 599], [678, 595], [663, 620], [672, 633], [663, 642], [667, 662], [666, 672]]);
zdh_assignment.addPiece(zdh_dr, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 290, zdh_deKarteBox, 794, 703, [[658, 818], [652, 804], [642, 800], [640, 787], [629, 784], [633, 768], [648, 763], [652, 754], [668, 746], [663, 732], [667, 724], [684, 723], [693, 713], [706, 709], [703, 692], [691, 686], [679, 677], [670, 674], [665, 643], [674, 635], [664, 622], [680, 598], [700, 602], [736, 583], [745, 589], [758, 596], [767, 608], [773, 636], [784, 636], [789, 630], [800, 631], [813, 644], [830, 641], [851, 647], [863, 644], [863, 629], [885, 614], [896, 622], [911, 615], [927, 620], [937, 629], [949, 628], [952, 646], [948, 659], [958, 672], [954, 688], [936, 726], [937, 736], [927, 737], [921, 730], [924, 714], [913, 716], [908, 700], [880, 696], [877, 707], [885, 713], [886, 722], [877, 722], [855, 733], [839, 731], [835, 743], [822, 747], [810, 742], [796, 748], [799, 756], [786, 764], [780, 757], [763, 766], [760, 777], [745, 777], [735, 790], [725, 785], [710, 794], [695, 789], [679, 795], [667, 816]]);
zdh_assignment.addPiece(zdh_du, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 360, zdh_deKarteBox, 126, 605, [[85, 735], [72, 729], [57, 727], [57, 705], [46, 699], [49, 683], [40, 672], [30, 659], [35, 655], [30, 643], [40, 634], [33, 620], [25, 618], [26, 603], [37, 603], [50, 599], [54, 588], [48, 579], [65, 562], [72, 544], [60, 523], [61, 507], [53, 500], [52, 481], [72, 482], [79, 477], [100, 486], [122, 476], [132, 456], [150, 438], [197, 431], [224, 418], [239, 407], [261, 425], [256, 447], [261, 471], [275, 478], [286, 467], [309, 464], [317, 445], [305, 429], [333, 414], [337, 425], [352, 431], [368, 418], [379, 426], [361, 450], [363, 469], [378, 483], [376, 498], [388, 510], [390, 520], [400, 526], [388, 551], [382, 573], [372, 587], [365, 583], [356, 575], [338, 580], [329, 591], [315, 592], [299, 606], [315, 616], [306, 638], [296, 634], [286, 643], [289, 653], [271, 673], [259, 670], [242, 696], [236, 674], [222, 666], [216, 654], [205, 659], [201, 673], [180, 681], [165, 689], [155, 687], [140, 695], [126, 698], [113, 711], [101, 713], [94, 727]]);
zdh_assignment.addPiece(zdh_wi, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 430, zdh_deKarteBox, 255, 769, [[266, 895], [259, 884], [250, 870], [258, 866], [263, 857], [250, 839], [254, 820], [246, 806], [208, 807], [202, 790], [220, 779], [233, 770], [235, 755], [226, 737], [230, 727], [243, 725], [247, 716], [244, 701], [249, 692], [256, 677], [274, 676], [292, 655], [290, 645], [296, 637], [305, 643], [315, 637], [319, 615], [303, 606], [315, 595], [340, 596], [338, 582], [357, 577], [365, 588], [373, 591], [387, 577], [391, 561], [399, 558], [414, 568], [410, 579], [412, 588], [403, 601], [414, 617], [422, 615], [426, 608], [433, 605], [439, 613], [443, 624], [460, 633], [455, 646], [456, 656], [462, 663], [442, 682], [443, 697], [431, 701], [423, 720], [427, 731], [439, 732], [440, 741], [435, 751], [422, 756], [404, 763], [398, 777], [381, 787], [379, 799], [362, 803], [345, 793], [326, 803], [330, 824], [321, 845], [329, 867], [321, 878], [321, 894], [309, 900], [300, 909], [289, 905], [296, 897], [287, 877], [271, 878]]);
zdh_assignment.addPiece(zdh_ma, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 500, zdh_deKarteBox, 154, 833, [[213, 979], [197, 971], [181, 954], [167, 959], [146, 948], [147, 939], [137, 932], [138, 919], [146, 914], [148, 903], [137, 891], [140, 878], [136, 865], [116, 857], [111, 850], [94, 848], [82, 855], [72, 855], [55, 860], [41, 854], [42, 845], [54, 834], [54, 814], [44, 810], [29, 794], [31, 780], [25, 774], [30, 747], [55, 733], [71, 732], [85, 741], [98, 732], [100, 714], [111, 714], [125, 702], [157, 688], [167, 693], [181, 684], [205, 675], [206, 658], [216, 655], [222, 669], [233, 675], [231, 689], [241, 700], [245, 720], [230, 722], [224, 737], [232, 755], [230, 770], [218, 775], [198, 787], [206, 810], [240, 809], [250, 818], [244, 838], [257, 856], [253, 864], [245, 870], [252, 885], [261, 899], [260, 907], [263, 921], [249, 931], [245, 950], [232, 960], [227, 973]]);
zdh_assignment.addPiece(zdh_sa, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 570, zdh_deKarteBox, 111, 915, [[121, 940], [97, 937], [93, 921], [81, 915], [76, 921], [66, 918], [60, 903], [46, 893], [47, 878], [31, 871], [37, 854], [52, 863], [71, 857], [83, 859], [95, 849], [110, 851], [117, 860], [135, 863], [138, 876], [134, 890], [148, 904], [146, 914], [138, 916], [136, 933]]);
zdh_assignment.addPiece(zdh_st, 250, 50, 40, "rgb(50, 197, 249)", zdh_staedteBox, 350, 640, zdh_deKarteBox, 304, 1046, [[114, 1189], [122, 1176], [119, 1162], [130, 1140], [126, 1115], [143, 1087], [154, 1077], [153, 1062], [163, 1048], [163, 1038], [196, 1001], [215, 983], [230, 976], [234, 961], [245, 954], [248, 939], [257, 929], [266, 924], [261, 906], [267, 898], [272, 884], [278, 881], [287, 880], [291, 884], [293, 892], [290, 908], [300, 912], [308, 906], [321, 895], [334, 897], [342, 889], [354, 886], [363, 878], [361, 871], [357, 867], [363, 865], [369, 865], [385, 866], [381, 880], [389, 879], [401, 879], [403, 893], [396, 907], [413, 918], [423, 911], [431, 920], [419, 947], [427, 961], [424, 974], [448, 1003], [446, 1016], [453, 1028], [444, 1049], [429, 1052], [431, 1073], [417, 1087], [409, 1086], [394, 1104], [405, 1124], [401, 1162], [405, 1182], [395, 1195], [394, 1212], [372, 1209], [361, 1211], [350, 1223], [339, 1225], [328, 1215], [316, 1207], [303, 1205], [305, 1195], [295, 1183], [285, 1184], [291, 1195], [286, 1199], [280, 1191], [271, 1191], [268, 1199], [260, 1199], [246, 1184], [234, 1176], [214, 1189], [219, 1201], [212, 1208], [197, 1201], [187, 1198], [174, 1206], [159, 1204], [148, 1202], [138, 1207], [133, 1199], [123, 1196]]);
zdh_assignment.addBackgroundImage("src/img/114278.png", 0, 0, 971, 1360, zdh_deKarteBox);
zdh_staedteBox.addObject(zdh_assignment);


// Tafel Code End


// 6. Tafel
var zhw = addBoard(new Board("spaltenweise"));
zhw.setTitle(`Zuordnung der Hauptstädte zu den Wappen`);
zhw.setInfo(`Abschließend ordnen die Schülerinnen und Schüler selbständig per Drag and Drop die Namen der Landeshauptstädte dem jeweiligen Wappen des Bundeslandes zu und überprüfen ihre Antworten. <br>

`);

// Tafel Code Start

var zhw_be = "Berlin";
var zhw_sc = "Schwerin";
var zhw_er = "Erfurt";
var zhw_mu = "München";
var zhw_ki = "Kiel";
var zhw_hb = "Bremen";
var zhw_hh = "Hamburg";
var zhw_ha = "Hannover";
var zhw_po = "Potsdam";
var zhw_mb = "Magdeburg";
var zhw_dr = "Dresden";
var zhw_du = "Düsseldorf";
var zhw_wi = "Wiesbaden";
var zhw_ma = "Mainz";
var zhw_sa = "Saarbrücken";
var zhw_st = "Stuttgart";
var zhw_wappenBox = zhw.addBox(800, 900, true);
var zhw_staedteBox = zhw.addBox(500, 900, true);
var zhw_assignment = new Assignment("assignment", 40);
var _p = n => (n - 1) * 200;
var _h = (n,m) => {
    let w = 200;
    let h = 200;
    let x = _p(n);
    let y = _p(m);
    let hm = [[x,y], [x+w,y], [x+w,y+h], [x,y+h]];
    return hm;
};
zhw_assignment.addPiece(zhw_be, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 30, zhw_wappenBox, _p(1), _p(2), _h(1,2));
zhw_assignment.addPiece(zhw_sc, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 90, zhw_wappenBox, _p(1), _p(3), _h(1,3));
zhw_assignment.addPiece(zhw_er, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 150, zhw_wappenBox, _p(2), _p(4), _h(2,4));
zhw_assignment.addPiece(zhw_mu, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 210, zhw_wappenBox, _p(1), _p(1), _h(1,1));
zhw_assignment.addPiece(zhw_ki, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 270, zhw_wappenBox, _p(1), _p(4), _h(1,4));
zhw_assignment.addPiece(zhw_hb, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 330, zhw_wappenBox, _p(3), _p(1), _h(3,1));
zhw_assignment.addPiece(zhw_hh, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 390, zhw_wappenBox, _p(2), _p(2), _h(2,2));
zhw_assignment.addPiece(zhw_ha, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 50, 450,  zhw_wappenBox, _p(4), _p(2), _h(4,2));
zhw_assignment.addPiece(zhw_po, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 30, zhw_wappenBox, _p(2), _p(1), _h(2,1));
zhw_assignment.addPiece(zhw_mb, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 90, zhw_wappenBox, _p(4), _p(4), _h(4,4));
zhw_assignment.addPiece(zhw_dr, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 150, zhw_wappenBox, _p(4), _p(3), _h(4,3));
zhw_assignment.addPiece(zhw_du, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 210, zhw_wappenBox, _p(2), _p(3), _h(2,3));
zhw_assignment.addPiece(zhw_wi, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 270, zhw_wappenBox, _p(3), _p(2), _h(3,2));
zhw_assignment.addPiece(zhw_ma, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 330, zhw_wappenBox, _p(3), _p(3), _h(3,3));
zhw_assignment.addPiece(zhw_sa, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 390, zhw_wappenBox, _p(3), _p(4), _h(3,4));
zhw_assignment.addPiece(zhw_st, 180, 40, 30, "rgb(50, 197, 249)", zhw_staedteBox, 300, 450, zhw_wappenBox, _p(4), _p(1), _h(4,1));
zhw_assignment.addBackgroundImage("src/img/157481.png", 0, 30, 800, 800, zhw_wappenBox);
zhw_staedteBox.addObject(zhw_assignment);


// Tafel Code End


// 7. Tafel
var abschluss = addBoard(new Board("spaltenweise"));
abschluss.setTitle(`Abschluss`);
abschluss.setInfo(`

`);

// Tafel Code Start

// var abschluss_text = "Klickt doch mal rein auf www.hanisauland.de. Dort könnt ihr noch mehr über Politik und Wirtschaft erfahren.";
// var abschluss_box = abschluss.addBox(500, 900, false);
// var abschluss_bgText = new BackgroundText(50, 830, 1200, 100, abschluss_text);
// abschluss_box.addObject(abschluss_bgText);
// var abschluss_bild = new BackgroundImage(50, 100, 971 / 2 , 1360 / 2, "src/img/114278.png");
// abschluss.addObject(abschluss_bild);
var abschluss_text = `
Klickt doch mal rein auf <a class='typ-link ga-link' href='https://www.hanisauland.de' target='_blank' rel='noopener noreferrer'>www.hanisauland.de</a>. Dort könnt ihr noch mehr über Politik und Wirtschaft erfahren.
<i>Das interaktive Tafelbild wurde erstellt von der Bundeszentrale für politische Bildung in Zusammenarbeit mit der Eduversum GmbH und Glamus, der Gesellschaft für moderne Kommunikation mbH<br>Zeichnungen: Stefan Eling// abgebildete EU-Flaggen: Wikimedia CC0 1.0 Stand: Mai 2020</i>
`;
var abschluss_bildBox = abschluss.addBox(971, 1360, true);
var abschluss_textBox = abschluss.addBox(750, 1360, true);
var abschluss_bild = new BackgroundImage(0, 0, 971, 1360, "src/img/114278.png");
abschluss_bildBox.addObject(abschluss_bild);
var abschluss_bgText = new BackgroundText(0, 400, 750, 1360, abschluss_text);
abschluss_textBox.addObject(abschluss_bgText);


// Tafel Code End


